commit:     7e93450a4ccb0caa85bea75fcaa01c4c551b721b
Author:     Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 28 11:23:48 2018 +0000
Commit:     Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
CommitDate: Wed Nov 28 11:25:54 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e93450a

dev-db/pgpool2: Bump to 3.7.7, 4.0.2

Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Aaron W. Swenson <titanofold <AT> gentoo.org>

 dev-db/pgpool2/Manifest             |   2 +
 dev-db/pgpool2/pgpool2-3.7.7.ebuild | 104 ++++++++++++++++++++++++++++++++++++
 dev-db/pgpool2/pgpool2-4.0.2.ebuild | 104 ++++++++++++++++++++++++++++++++++++
 3 files changed, 210 insertions(+)

diff --git a/dev-db/pgpool2/Manifest b/dev-db/pgpool2/Manifest
index 120a39ebe5b..6a2000ddfbc 100644
--- a/dev-db/pgpool2/Manifest
+++ b/dev-db/pgpool2/Manifest
@@ -2,3 +2,5 @@ DIST pgpool-II-3.7.0.tar.gz 3269076 BLAKE2B 
f7a396e82022a35e5f46fb644ca4a9007db3
 DIST pgpool-II-3.7.1.tar.gz 3237755 BLAKE2B 
ec196e384c9c4c03a28081fbb74b820c7480e2a98427441572142bd80bff6d2adbbda9bc19df1c70f4699af28fcac5f09161a5938df633bb9eba52c0d9dc24ac
 SHA512 
2a83f573ca2a720ee7beb75d8d1380747e29b2bb3c809f51bd0f8e4423d67f882ce2acb7d9ea118c55313e969aba3bf94a0d5b190eb905123d43c09df25e00ef
 DIST pgpool-II-3.7.3.tar.gz 3259752 BLAKE2B 
398257b2a647039a634d52b0e23ab1584aaa67f58d6f234f03bf2e99380b346b4ff51647f876d0789c484e88fc149a2af5a5b1b8fd3aa48323aada064ea3421d
 SHA512 
c7fea570f11dfc348b0099fde074f61a15e6979b6f16526d24d73b26d723edfdbadbcf10e90c2111aeb72599970718d3cda4abed3e99e8a711cf03b715c29624
 DIST pgpool-II-3.7.5.tar.gz 3276279 BLAKE2B 
d9c52684985e0a74ef115792f79a71305fbcc5f44663971e5fee41d543c7c290999091c387f5da6c73c88466880a24b21d469046de7981983d9984a606ae357e
 SHA512 
4840047f11b5e176803c03073d1ef6ef54f9d0be3d9bd622fedc9fd0ad4f835090fbf671bfd71cda0d994af6ea9a1658b0d5e5d09ec317b345c41fb0fa4b7b70
+DIST pgpool-II-3.7.7.tar.gz 3325039 BLAKE2B 
47f4d48b811af0fb6626a6ea4b46bd81d13997fa8756f533711f733eed7526ea79bbc929cf894911cc5697c37fd5fde0306eaee485f00b6c41c2701bf08c972c
 SHA512 
9766d011f8a93ae292770b24915f6825d037d55ad3f75be131a58a9dcfb4d1a61f572f2c48f69ee0d3c6cbdfe76da15e417c26f102c646c3d9e1a2f71d205374
+DIST pgpool-II-4.0.2.tar.gz 3576212 BLAKE2B 
4027b8d02f4422900e674ee49a1946521b0737e73c9cd73363cd1ad1328de294bdec219bb8df55db58c6b2da365f8094e6b2228e13f1d24f35f7fb373280bd66
 SHA512 
9014c34f69cdcb3064a3713ed97fa0847f5572866db709c53f703b2ff996dbb31988d6573fcd85c9bb715bb54b9c215adaf11eb2f90193371be804ec37ac955e

diff --git a/dev-db/pgpool2/pgpool2-3.7.7.ebuild 
b/dev-db/pgpool2/pgpool2-3.7.7.ebuild
new file mode 100644
index 00000000000..79ac82b6529
--- /dev/null
+++ b/dev-db/pgpool2/pgpool2-3.7.7.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+POSTGRES_COMPAT=( 9.{3..6} 10 )
+
+inherit autotools postgres-multi
+
+MY_P="${PN/2/-II}-${PV}"
+
+DESCRIPTION="Connection pool server for PostgreSQL"
+HOMEPAGE="http://www.pgpool.net/";
+SRC_URI="http://www.pgpool.net/download.php?f=${MY_P}.tar.gz -> ${MY_P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+
+IUSE="doc libressl memcached pam ssl static-libs"
+
+RDEPEND="
+       ${POSTGRES_DEP}
+       net-libs/libnsl:0=
+       memcached? ( dev-libs/libmemcached )
+       pam? ( sys-auth/pambase )
+       ssl? (
+               !libressl? ( dev-libs/openssl:* )
+               libressl? ( dev-libs/libressl:= )
+       )
+"
+DEPEND="${RDEPEND}
+       !!dev-db/pgpool
+       sys-devel/bison
+       virtual/pkgconfig
+"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       postgres_new_user pgpool
+
+       postgres-multi_pkg_setup
+}
+
+src_prepare() {
+       eapply \
+               "${FILESDIR}/pgpool-configure-memcached.patch" \
+               "${FILESDIR}/pgpool-configure-pam.patch" \
+               "${FILESDIR}/pgpool-configure-pthread.patch" \
+               "${FILESDIR}/pgpool_run_paths-3.6.5.patch"
+
+       eautoreconf
+
+       postgres-multi_src_prepare
+}
+
+src_configure() {
+       postgres-multi_foreach econf \
+               --disable-rpath \
+               --sysconfdir="${EROOT%/}/etc/${PN}" \
+               --with-pgsql-includedir='/usr/include/postgresql-@PG_SLOT@' \
+               
--with-pgsql-libdir="/usr/$(get_libdir)/postgresql-@PG_SLOT@/$(get_libdir)" \
+               $(use_enable static-libs static) \
+               $(use_with memcached) \
+               $(use_with pam) \
+               $(use_with ssl openssl)
+}
+
+src_compile() {
+       # Even though we're only going to do an install for the best slot
+       # available, the extension bits in src/sql need some things outside
+       # of that directory built, too.
+       postgres-multi_foreach emake
+       postgres-multi_foreach emake -C src/sql
+}
+
+src_install() {
+       # We only need the best stuff installed
+       postgres-multi_forbest emake DESTDIR="${D}" install
+
+       # Except for the extension and .so files that each PostgreSQL slot needs
+       postgres-multi_foreach emake DESTDIR="${D}" -C src/sql install
+
+       newinitd "${FILESDIR}/${PN}.initd" ${PN}
+       newconfd "${FILESDIR}/${PN}.confd" ${PN}
+
+       # Documentation!
+       dodoc NEWS TODO
+       doman doc/src/sgml/man{1,8}/*
+       use doc && dodoc -r doc/src/sgml/html
+
+       # Examples and extras
+       # mv some files that get installed to /usr/share/pgpool-II so that
+       # they all wind up in the same place
+       mv "${ED%/}/usr/share/${PN/2/-II}" "${ED%/}/usr/share/${PN}" || die
+       into "/usr/share/${PN}"
+       dobin 
src/sample/{pgpool_recovery,pgpool_recovery_pitr,pgpool_remote_start}
+       insinto "/usr/share/${PN}"
+       doins src/sample/{{pcp,pgpool,pool_hba}.conf.sample*,pgpool.pam}
+
+       # One more thing: Evil la files!
+       find "${ED}" -name '*.la' -exec rm -f {} +
+}

diff --git a/dev-db/pgpool2/pgpool2-4.0.2.ebuild 
b/dev-db/pgpool2/pgpool2-4.0.2.ebuild
new file mode 100644
index 00000000000..099a14d0870
--- /dev/null
+++ b/dev-db/pgpool2/pgpool2-4.0.2.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+POSTGRES_COMPAT=( 9.{3..6} {10..11} )
+
+inherit autotools postgres-multi
+
+MY_P="${PN/2/-II}-${PV}"
+
+DESCRIPTION="Connection pool server for PostgreSQL"
+HOMEPAGE="http://www.pgpool.net/";
+SRC_URI="http://www.pgpool.net/download.php?f=${MY_P}.tar.gz -> ${MY_P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+
+IUSE="doc libressl memcached pam ssl static-libs"
+
+RDEPEND="
+       ${POSTGRES_DEP}
+       net-libs/libnsl:0=
+       memcached? ( dev-libs/libmemcached )
+       pam? ( sys-auth/pambase )
+       ssl? (
+               !libressl? ( dev-libs/openssl:* )
+               libressl? ( dev-libs/libressl:= )
+       )
+"
+DEPEND="${RDEPEND}
+       !!dev-db/pgpool
+       sys-devel/bison
+       virtual/pkgconfig
+"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       postgres_new_user pgpool
+
+       postgres-multi_pkg_setup
+}
+
+src_prepare() {
+       eapply \
+               "${FILESDIR}/pgpool-configure-memcached.patch" \
+               "${FILESDIR}/pgpool-configure-pam.patch" \
+               "${FILESDIR}/pgpool-configure-pthread.patch" \
+               "${FILESDIR}/pgpool_run_paths-3.6.5.patch"
+
+       eautoreconf
+
+       postgres-multi_src_prepare
+}
+
+src_configure() {
+       postgres-multi_foreach econf \
+               --disable-rpath \
+               --sysconfdir="${EROOT%/}/etc/${PN}" \
+               --with-pgsql-includedir='/usr/include/postgresql-@PG_SLOT@' \
+               
--with-pgsql-libdir="/usr/$(get_libdir)/postgresql-@PG_SLOT@/$(get_libdir)" \
+               $(use_enable static-libs static) \
+               $(use_with memcached) \
+               $(use_with pam) \
+               $(use_with ssl openssl)
+}
+
+src_compile() {
+       # Even though we're only going to do an install for the best slot
+       # available, the extension bits in src/sql need some things outside
+       # of that directory built, too.
+       postgres-multi_foreach emake
+       postgres-multi_foreach emake -C src/sql
+}
+
+src_install() {
+       # We only need the best stuff installed
+       postgres-multi_forbest emake DESTDIR="${D}" install
+
+       # Except for the extension and .so files that each PostgreSQL slot needs
+       postgres-multi_foreach emake DESTDIR="${D}" -C src/sql install
+
+       newinitd "${FILESDIR}/${PN}.initd" ${PN}
+       newconfd "${FILESDIR}/${PN}.confd" ${PN}
+
+       # Documentation!
+       dodoc NEWS TODO
+       doman doc/src/sgml/man{1,8}/*
+       use doc && dodoc -r doc/src/sgml/html
+
+       # Examples and extras
+       # mv some files that get installed to /usr/share/pgpool-II so that
+       # they all wind up in the same place
+       mv "${ED%/}/usr/share/${PN/2/-II}" "${ED%/}/usr/share/${PN}" || die
+       into "/usr/share/${PN}"
+       dobin 
src/sample/{pgpool_recovery,pgpool_recovery_pitr,pgpool_remote_start}
+       insinto "/usr/share/${PN}"
+       doins src/sample/{{pcp,pgpool,pool_hba}.conf.sample*,pgpool.pam}
+
+       # One more thing: Evil la files!
+       find "${ED}" -name '*.la' -exec rm -f {} +
+}

Reply via email to